---

# Version of elasticsearch to deploy
es_version: 7.16.3
# root directory
es_root_dir: /opt/elasticsearch
# URL of the archive
es_archive_url: https://artifacts.elastic.co/downloads/elasticsearch/elasticsearch-{{ es_version }}-linux-x86_64.tar.gz
# Expected sha512 of the archive
es_archive_sha512: d9ad7a510b8bad63788f5081b9431519e0581242499394f7a2c59f6097f8956603b28881e30697c50fe440b0ced7a2eb66afadb0e12bf97126db1d468d3818ff
# Should ansible handle upgrades or only initial installation ?
es_manage_upgrade: True
# User under which the service will run (will be created)
es_user: elasticsearch
# Name of the Elasticsearch cluster
es_cluster_name: elasticsearch
# Name of this ES node
es_node_name: "{{ inventory_hostname }}"
# Port on which ES will bind
es_port: 9200
# List of IP/CIDR which will have access to es_port (if iptables_manage == True)
es_src_ip: []
# Define Xms / Xmx
es_memory: 1g

